%define upstream_name    Dist-Zilla-Plugin-Test-Portability
%define upstream_version 2.001003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release tests for portability
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Portability::Files)
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-PortabilityTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-PortabilityTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/portability.t - a standard Test::Portability::Files test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.1.3-2.mga10
+ Revision: 2234409
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 2.1.3-1.mga10
+ Revision: 2141549
- update to 2.001003

* Sat Aug 27 2022 tv <tv> 2.1.1-1.mga9
+ Revision: 1881133
- update to 2.001001

* Sun Mar 20 2022 umeabot <umeabot> 2.1.0-5.mga9
+ Revision: 1809134
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-4.mga8
+ Revision: 1504238
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1283350
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.1.0-2.mga7
+ Revision: 1164270
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.1.0-1.mga7
+ Revision: 1157889
- update to 2.001000

* Sun Jun 19 2016 pterjan <pterjan> 2.0.6-3.mga6
+ Revision: 1026609
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.6-2.mga6
+ Revision: 966747
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.0.6-1.mga6
+ Revision: 846758
- update to 2.000006

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 747063
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 531465
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.5-1.mga4
+ Revision: 463495
- update to 2.000005

* Fri Jun 07 2013 jquelin <jquelin> 2.0.4-1.mga4
+ Revision: 439173
- update to 2.000004

* Sun Jan 13 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 366518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 2.0.3-1.mga3
+ Revision: 261555
- update to 2.000003

* Mon Sep 26 2011 jquelin <jquelin> 2.0.2-1.mga2
+ Revision: 148573
- update to 2.0.2
- dist renamed upstream
- update to 1.111840

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40541
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PortabilityTests

